Redmine - Defect #10201

MailHandler ignores line feeds when handling html-only emails
2012-02-10 17:37 - Elie Delorme

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version:

Description

Since all html tags are strips on html-only emails, they almost never work.
| would suggest using Loofah to convert html content to plain text.

Patch (works on my installation):

if plain_text_part.nil?

# no text/plain part found, assuming html-only email

# use loofah to extract text

@plain_text_body = Loofah::HTML: :Document.parse (@Gemail.body.to_s) .to_text
else

Related issues:
Related to Redmine - Feature #16962: Better handle html-only emails Closed

History

#1 - 2012-02-10 18:13 - Etienne Massip

- Category set to Email receiving

https://github.com/flavorjones/loofah

#2 - 2019-02-09 08:12 - Go MAEDA
- Related to Feature #16962: Better handle html-only emails added

#3 - 2019-02-09 08:14 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Redmine 3.1 and later use Loofah to parse HTML emails.
https://github.com/flavorjones/loofah
http://www.tcpdf.org

